Page MenuHomePhabricator

Add minor edit count to REST API history count endpoint
Closed, ResolvedPublic2 Estimate Story Points

Description

Per user story T234941: Curator gets minor edit count, we want to add a count of minor edits as one of the available count types on the existing /page/{title}/history/counts endpoint.

This is dependent on successful completion of T235572: Compose query for minor edit count, which will supply the necessary query.

T234941: Curator gets minor edit count contains the necessary specifications and details.

Requirements:

  • endpoint updated
  • Add integration test covering behaviour
  • Update docs: Add minor to the available types for Get page history counts. (Done)

Details

Related Gerrit Patches:

Event Timeline

BPirkle created this task.Oct 16 2019, 3:06 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2019, 3:06 AM
BPirkle added a comment.EditedOct 16 2019, 3:15 AM

The existing counts for this endpoint do not have unit tests. Should we add a unit test for the new count (and possibly the existing ones)? Or will we cover that with integration tests?

WDoranWMF triaged this task as Medium priority.Oct 16 2019, 1:20 PM
WDoranWMF added a subscriber: WDoranWMF.EditedOct 16 2019, 1:31 PM

Yep that makes sense to me. If we can add unit tests that would be good but the default should be integration tests.

WDoranWMF updated the task description. (Show Details)Oct 16 2019, 2:31 PM
WDoranWMF set the point value for this task to 2.Oct 16 2019, 7:40 PM
apaskulin updated the task description. (Show Details)Oct 16 2019, 10:00 PM
apaskulin updated the task description. (Show Details)Oct 16 2019, 10:11 PM
BPirkle updated the task description. (Show Details)Oct 23 2019, 2:58 PM

Change 545590 had a related patch set uploaded (by BPirkle; owner: BPirkle):
[mediawiki/core@master] Add minor edit count to available REST API history counts

https://gerrit.wikimedia.org/r/545590

BPirkle claimed this task.Oct 23 2019, 3:10 PM
BPirkle moved this task from Ready to Doing on the Core Platform Team Workboards (Green) board.
BPirkle updated the task description. (Show Details)Oct 23 2019, 8:27 PM

Change 545590 merged by jenkins-bot:
[mediawiki/core@master] Add minor edit count to available REST API history counts

https://gerrit.wikimedia.org/r/545590

eprodromou closed this task as Resolved.Nov 5 2019, 4:00 PM
eprodromou added a subscriber: eprodromou.

This looks done.

apaskulin updated the task description. (Show Details)Nov 5 2019, 6:08 PM